
%ffmpeg% -stream_loop 1 -i %1.wav -t 70 %1-loop.wav
%ffmpeg% -i %1-loop.wav -acodec pcm_s16le -ar 48000 -ac 2 %1-loop-48K.wav
del %1-loop.wav
%ffmpeg% -i %1.wav -acodec pcm_s16le -ar 48000 -ac 2 %1-48K.wav
%ffmpeg% -i %1-loop-48K.wav -i %1-48K.wav -filter_complex "[0:a][1:a]concat=n=2:v=0:a=1[a]" -map "[a]" -c:a pcm_s16le %1-merged.wav
del %1-loop-48K.wav
del %1-48K.wav
%ffmpeg% -i %1-merged.wav -filter_complex "[0:a]loudnorm=I=-16:TP=-1.5:LRA=11:print_format=summary" -f null x 2>%1.txt
@for /f "tokens=3" %%a in ('findstr /C:"Input Integrated" %1.txt') do (set II=%%a)
echo %II% is the Input Integrated
@for /f "tokens=4" %%a in ('findstr /C:"Input True Peak" %1.txt') do (set ITP=%%a)
echo %ITP% is the Input True Peak
@for /f "tokens=3" %%a in ('findstr /C:"Input LRA" %1.txt') do (set ILRA=%%a)
echo %ILRA% is the Input LRA
@for /f "tokens=3" %%a in ('findstr /C:"Input Threshold" %1.txt') do (set IT=%%a)
echo %IT% is the Input Threshold
@for /f "tokens=3" %%a in ('findstr /C:"Output Integrated" %1.txt') do (set OI=%%a)
echo %OI% is the Output Integrated
@for /f "tokens=4" %%a in ('findstr /C:"Output True Peak" %1.txt') do (set OTP=%%a)
echo %OTP% is the Output True Peak
@for /f "tokens=3" %%a in ('findstr /C:"Output LRA" %1.txt') do (set OLRA=%%a)
echo %OLRA% is the Output LRA
@for /f "tokens=3" %%a in ('findstr /C:"Output Threshold" %1.txt') do (set OT=%%a)
echo %OT% is the Output Threshold
@for /f "tokens=3" %%a in ('findstr /C:"Target Offset" %1.txt') do (set TO=%%a)
echo %TO% is the Target Offset
%ffmpeg% -i %1-merged.wav -af loudnorm=linear=true:I=%2:LRA=7:tp=-1:measured_I=%II%:measured_LRA=%ILRA%:measured_tp=%ITP%:measured_thresh=%IT%:offset=%TO%:print_format=summary %1-norm.wav
del %1.txt
del %1-merged.wav
%ffmpeg% -i %1-norm.wav -acodec pcm_s16le -ar 48000 -ac 2 %1-48K.wav
del %1-norm.wav
%ffmpeg% -ss 70 -i %1-48K.wav %1-trimmed.wav
del %1-48K.wav
%ffmpeg% -i %1-trimmed.wav -filter_complex "deesser=i=0.25" %1-de-essed.wav
del %1-trimmed.wav
%ffmpeg% -i %1-de-essed.wav -filter_complex alimiter=level_in=1:level_out=1:limit=0.5:attack=10:release=300:level=disabled %1-limited.wav
del %1-de-essed.wav
echo Creating Normalization Fix.... Success! 
echo ReEncoding Streams.... Success!
echo Merging New File with Affixed Buffer.... Success!
echo Normalizing New Compilation.... Success!
echo Outputting Normalizer Scheme.... Success!
echo Encoding Created Sample.... Success!
echo Trimming Created Sample.... Success!
Echo Cleaning up Files.... Success!